MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026594Open CASCADE[OCCT] OCCT:Visualizationpublic2015-08-24 17:012016-04-20 15:48
Reporterkgv 
Assigned Toski 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026594: Visualization - AIS_InteractiveContext::MoveTo() should not invalidate the Viewer within immediate mode
DescriptionCalling Invalidate() within MoveTo() breaks conception of rendering dynamically highlighted structures in Immediate Mode:
  if (toUpdateViewer)
  {
    if (theToRedrawOnUpdate)
    {
      theView->Viewer()->Update();
    }
    else
    {
      theView->Viewer()->Invalidate();
    }
  }

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0044576)
git (administrator)
2015-08-24 18:50

Branch CR26594 has been created by kgv.

SHA-1: 1faf93dc64a165eb28e691aef2e070955feca32a


Detailed log of new commits:

Author: kgv
Date: Mon Aug 24 18:00:04 2015 +0300

    0026594: Visualization - AIS_InteractiveContext::MoveTo() should not invalidate the Viewer within immediate mode
(0044577)
kgv (developer)
2015-08-24 18:50

Trivial patch is ready for review.
(0044578)
san (developer)
2015-08-24 19:24

Branch CR26594 reviewed without remarks, ready for testing.
(0044647)
mkv (tester)
2015-08-26 12:10

Dear BugMaster,
Branch CR26594 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
1faf93dc64a165eb28e691aef2e070955feca32a

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91947325 / 91601368 [+0.38%]
Total CPU difference: 17774.189999998944 / 17713.849999998944 [+0.34%]
products component :
Total MEMORY difference: 25110434 / 25123208 [-0.05%]
Total CPU difference: 7052.500000000005 / 7008.090000000001 [+0.63%]

Testing on Windows:
occt component :
Total MEMORY difference: 57064028 / 57056248 [+0.01%]
Total CPU difference: 16303.414908399678 / 16696.724629599114 [-2.36%]
products component :
Total MEMORY difference: 16118043 / 16119994 [-0.01%]
Total CPU difference: 5386.636529499987 / 5290.8519154999685 [+1.81%]

There are no differences in images found by testdiff.
(0046934)
git (administrator)
2015-10-16 16:24

Branch CR26594 has been deleted by kgv.

SHA-1: 1faf93dc64a165eb28e691aef2e070955feca32a

- Related Changesets
occt: master 2eea6525
Timestamp: 2015-08-24 15:00:04
Author: kgv
Committer: ski
Details ] Diff ]
0026594: Visualization - AIS_InteractiveContext::MoveTo() should not invalidate the Viewer within immediate mode
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-24 17:01 kgv New Issue
2015-08-24 17:01 kgv Assigned To => kgv
2015-08-24 17:01 kgv Relationship added child of 0026272
2015-08-24 17:02 kgv Assigned To kgv => vpa
2015-08-24 17:02 kgv Status new => assigned
2015-08-24 18:50 git Note Added: 0044576
2015-08-24 18:50 kgv Note Added: 0044577
2015-08-24 18:50 kgv Assigned To vpa => san
2015-08-24 18:50 kgv Severity minor => trivial
2015-08-24 18:50 kgv Status assigned => resolved
2015-08-24 19:24 san Note Added: 0044578
2015-08-24 19:24 san Assigned To san => bugmaster
2015-08-24 19:24 san Status resolved => reviewed
2015-08-24 19:39 mkv Assigned To bugmaster => mkv
2015-08-26 12:10 mkv Note Added: 0044647
2015-08-26 12:10 mkv Assigned To mkv => bugmaster
2015-08-26 12:10 mkv Status reviewed => tested
2015-08-26 12:10 mkv Test case number => Not needed
2015-08-28 11:44 ski Changeset attached => occt master 2eea6525
2015-08-28 11:44 ski Assigned To bugmaster => ski
2015-08-28 11:44 ski Status tested => verified
2015-08-28 11:44 ski Resolution open => fixed
2015-10-16 16:24 git Note Added: 0046934
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:48 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker